select
  an.numero as numero_animal
  , an.dtnascimento as data_nascimento
  , (select grausangue from sp_calculagrausangue(an.cdanimal)) as raca_animal
  , (coalesce((select count(*)
               from reproducao
               where cdtiporeproducao = 7
                 and cdanimal = an.cdanimal), 0)
    + coalesce(an.numpartoentrada, 0)) as ordem_parto
  , (par.data - an.dtnascimento ) as idade_ult_parto_dias
  , par.data as data_ult_parto
  , cria.numero as numero_cria1
  , (select grausangue from sp_calculagrausangue(cria.cdanimal)) as raca_cria1
  , (select first 1 peso from peso where cdanimal = cria.cdanimal order by dtpeso asc) as peso_nasc_cria1
  , cria.dtbaixa as baixa_cria1
  , mb.descricao as motivo_baixa_cria1
  , s.nome as setor_atual_matriz
from animal an
  left join reproducao par on par.cdreproducao =
    (select first 1 re.cdreproducao
    from reproducao re
    where re.cdanimal = an.cdanimal
      and re.cdtiporeproducao = 7
    order by re.data desc)
  left join animal cria on cria.cdanimal =
    (select first 1 rea.cdanimal
    from animal rea
    where rea.cdreproducao = par.cdreproducao
      and rea.tipoanimal = 'A'
    order by cdanimal asc)
  left join setor s on s.cdsetor = an.cdsetor
  left join motivobaixa mb on mb.cdmotivobaixa = cria.cdmotivobaixa
where
  an.tipoanimal = 'A'
  and an.animalrebanho = 1
  and an.dtbaixa is null
  and an.cdcategoria = 7
order by an.numordenado

